function [x,iter,residuo]=seidel(A,b,x0,toll,itmax)
n = size(A,1);
scarto = 2*toll;
xk=x0;
xkp1 = zeros(n,1);
iter=0;

while scarto > toll && iter < itmax
    iter = iter+1;
    for i = 1:n
        som1 = 0.0;
        for j = 1 : i-1
            som1 = som1 + A(i,j)*xkp1(j);
        end
        som2 = 0.0;
        for j = i+1 : n
            som2 = som2 + A(i,j)*xk(j);
        end
        xkp1(i) = (b(i)-som1-som2)/A(i,i);
        
    end
    scarto = norminf(xkp1-xk);
    
    xk = xkp1;
    
    fprintf('iterazione %d \n ',iter)
    fprintf(' scarto %e \n',scarto)
end

x = xkp1;
residuo = norm(b-A*x);

end
